.contenedor{
    width:90%;
    max-width: 1024px;
    min-width: 400px;
    margin: auto;
}


/*logo de la empresa en el login*/
#d1uno{	
	background-image: url("../image/logos/logo.jpg");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    margin:auto;
    margin-top:10px;
    width:40%;
    height: auto;
    padding:9%;
    box-sizing: border-box;

}

#d1uno:hover {
    filter: saturate(180%);
}

/* Colores */
:root {
    --color-fondo: #f9f9f9;
    --color-fondo-elementos: silver;
    --text0:white;
    --c0: #3c0; 
    --c1: #A5A6A6;
    --c2: #090;
    --c3: #004200;
    --c4: black;
    --c7:#c00;/*color advertencias*/
}
/*estilo de letra en la página*/
body{
	margin: 0px;
	background-color: var(--color-fondo);    
	font-family: Trebuchet MS;
}

/*Modifica los campos de los formularios*/
input[type="text"],input[type="email"],input[type="password"],input[type="date"],input[type="number"] {
	top: 10px;
    width: 25%;
    padding: 1% 1% 1% 1% ; 
    margin-right: 0%;
    height: 35px;
    display: inline;
    border: 1.5px darkblue solid;
    box-sizing: border-box;
    border-radius: 0 5px 5px 0;
    font-size: 120%;
    background-color: lightblue;
    margin: auto;
}
input[type="date"]{
    width: 262px;
    font-style: Trebuchet MS;
    font-weight: bold;
    color: darkblue;
    font-size: 160%;
}

/*Diseño de los formularios, cambia la apariencia de los contenedores*/
fieldset img{
    height: 100px;
    border: 3px var(--c2) dashed;
    margin-left: 50px;
    padding: 10px; 
    margin: auto;
}
fieldset {
       border:0px;
       margin: auto;
}
legend {
    display: block;
    -webkit-padding-start: 2px;
    -webkit-padding-end: 2px;
    color: black;
    font-size: 100%;
    font-weight: bold;
    margin-bottom: 5px;
    margin: auto;
}

/*Modificaciones en los botones de los formularios	*/
section form input[type="submit"],[type="reset"]{
	margin-left: 38px;
	width: 24%;
	border-radius: 5px;
	color: white;
	background-color: darkblue;
	font-weight: bold;
	padding: 1%;
	font-size: 90%;
	border-color: black;
    margin-bottom: 20px;
    margin: auto;
}
section form input[type="submit"]:hover{
	background-color: black;
	border-color:black;
	box-shadow: 0px 2px 4px 3px black;
}
section form input[type="reset"]:hover{
    background-color: var(--c3);
    border-color: var(--c4);
    box-shadow: 0px 2px 4px 3px var(--color-fondo-elementos);
}

/*DISEÑO CAMPOS FORMULARIO*/
/*-------------!!!!!!!!!!!!!!!!----------Revisar etcquetas select para eliminar class en el html*/
#section1{
    margin-top: 60px;
    text-align: center;
    width:100%
}

section form fieldset input, textarea, #selectformulario,.emailformulario,#passwordformulario,fieldset select{
    display: block;
    margin-left: 50px;
    margin-bottom: 10px;
    border: 1.5px var(--c3) solid;
}

section textarea{
	resize: none;
	width: 49%;
	overflow: auto;
}


/*-----------------Logos de ayuda en los formularios------------------*/
.ayuda{
    position: relative;
    top: -31px; 
    text-align: center;
    background-color: darkblue;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    font-size: 14px;
    line-height: 26px;
    cursor: default;
    margin-left: 32%;

}
.ayuda:before{
    content:'?';
    font-weight: bold;
    color:var(--text0);
}
.ayuda:hover p{
    display:block;
    transform-origin: 100px 0%;
    -webkit-animation: fadeIn 0.3s ease-in-out;
    animation: fadeIn 0.3s ease-in-out;
    z-index: 999;
}
.ayuda:active p{
    display:block;
    transform-origin: 100px 0%;
    -webkit-animation: fadeIn 0.3s ease-in-out;
    animation: fadeIn 0.3s ease-in-out;
    z-index: 999;
}

.ayuda p{    /* contenido de la ventana de ayuda y estilo */
    display: none;
    text-align: left;
    background-color: #403075;
    padding: 20px;
    width: 100px;
    position: absolute;
    border-radius: 3px;
	box-shadow: 0px 2px 20px 3px black;
    right: -3px;
    color: var(--text0);
    font-size: 13px;
    line-height: 1.4;
    left:-10px;
    top: 18.5px;
    font-size:110%;
}

.ayuda p:after{ /* sobrepone el cuadro de ayuda */
    width:100%;
    content:'';
    position: relative;
    margin-left:100px;

}
.ayuda a:link {/*los link de la ayuda cuando ya fueron visitados*/
	color: var(--text0);
	font-weight: bold;
}
.ayuda a:visited {/*los link de la ayuda cuando ya fueron visitados*/
	color: var(--text0);
}
/* animacion del cuadro de ayuda */
@-webkit-keyframes fadeIn {
    0% { 
        opacity:0; 
        transform: scale(0.6);
    }
    100% {
        opacity:100%;
        transform: scale(1);
    }
}
@keyframes fadeIn {
    0% { opacity:0; }
    100% { opacity:100%; }
}
.banner{
    width: 100%;
}
    /*---Mensaje de alerta Advertencia usar con id para realizar el cambio en php!---*/
    #Advertencia{
        background-color: var(--c7);
    }
    #Advertencia:before{
        content:'!';
    }
    #Advertencia p{    /* contenido de la ventana de ayuda y estilo */
    background-color: var(--c7);
    }

/* Diseño del footer*/
footer {
	position: relative;
   	width: 100%;
margin-right: 0;
margin-left: 0;
	padding-bottom: 10px;
	background-color: var(--text0);
	margin-top: 410px;
}
footer :link{
	display: inline;
	margin-right: 1%;
	color: var(--c3);
	text-decoration: none;
}


